From 57b0b21b324b0f75c90918991b92b9a17e2cf867 Mon Sep 17 00:00:00 2001
From: Charles Plessy <plessy@debian.org>
Date: Wed, 27 Mar 2013 08:46:13 +0900
Subject: [PATCH] Simplify instructions about install-info as there is now a
 conventient trigger.

Closes: #669915
---
 policy.sgml | 26 +++++++++-----------------
 1 file changed, 9 insertions(+), 17 deletions(-)

diff --git a/policy.sgml b/policy.sgml
index a41bc1f..1cb1150 100644
--- a/policy.sgml
+++ b/policy.sgml
@@ -1330,9 +1330,7 @@ zope.
 	  The package installation scripts should avoid producing
 	  output which is unnecessary for the user to see and
 	  should rely on <prgn>dpkg</prgn> to stave off boredom on
-	  the part of a user installing many packages.  This means,
-	  amongst other things, using the <tt>--quiet</tt> option on
-	  <prgn>install-info</prgn>.
+	  the part of a user installing many packages.
 	</p>
 
 	<p>
@@ -3969,8 +3967,7 @@ Checksums-Sha256:
 	  Programs called from maintainer scripts should not normally
 	  have a path prepended to them. Before installation is
 	  started, the package management system checks to see if the
-	  programs <prgn>ldconfig</prgn>,
-	  <prgn>start-stop-daemon</prgn>, <prgn>install-info</prgn>,
+	  programs <prgn>ldconfig</prgn>, <prgn>start-stop-daemon</prgn>,
 	  and <prgn>update-rc.d</prgn> can be found via the
 	  <tt>PATH</tt> environment variable. Those programs, and any
 	  other program that one would expect to be in the
@@ -10496,19 +10493,14 @@ name ["<var>syshostname</var>"]:
         </p>
 
 	<p>
-	  The <prgn>install-info</prgn> program maintains a directory of
+	  The <package>install-info</package> package provides the
+	  <prgn>install-info</prgn> program, which maintains a directory of
 	  installed info documents in <file>/usr/share/info/dir</file> for
-	  the use of info readers.<footnote>
-	    It was previously necessary for packages installing info
-	    documents to run <prgn>install-info</prgn> from maintainer
-	    scripts.  This is no longer necessary.  The installation
-	    system now uses dpkg triggers.
-	  </footnote>
-	  This file must not be included in packages.  Packages containing
-	  info documents should depend on <tt>dpkg (>= 1.15.4) |
-	  install-info</tt> to ensure that the directory file is properly
-	  rebuilt during partial upgrades from Debian 5.0 (lenny) and
-	  earlier.
+	  the use of info readers, using dpkg triggers.  Programs using this
+	  facility <em>should not</em> depend on, recommend or suggest
+	  <package>install-info</package>.  The file
+	  <file>/usr/share/info/dir</file> must not be included in packages
+	  other than <package>install-info</package>.
 	</p>
 
 	<p>
-- 
1.8.2.rc0

